Name:          fonttools
Version:       4.50.0
Release:       %mkrel 1
Summary:       A tool to convert True/OpenType fonts to XML and back
Group:         Development/Other
License:       BSD
Url:           https://github.com/fonttools/fonttools
Source0:       https://github.com/fonttools/fonttools/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires: glibc-devel
Requires:      python3-fonttools
Requires:      python3-setuptools

%description
TTX/FontTools is a tool to convert OpenType and TrueType fonts to and
from XML. FontTools is a library for manipulating fonts, written in Python.
It supports TrueType, OpenType, AFM and to an extent Type 1 and some
Mac-specific formats.

%package -n python3-fonttools
Summary:       Python 3 fonttools library
%{?python_provide:%python_provide python3-%{name}}
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools
# Extra requires
Requires:      python3-lxml
Requires:      python3-brotli
Requires:      python3-zopfli
Requires:      python3-lz4
Requires:      python3-scipy
Requires:      python3-matplotlib
Obsoletes:     python3-ufolib

%description -n python3-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files
%{_bindir}/%{name}
%{_bindir}/pyft*
%{_bindir}/ttx
%{_mandir}/man1/ttx.1*

%files -n python3-fonttools
%{_libdir}/python3.10

%changelog
* Tue Apr 02 2024 tex - 4.50.0-1pclos2024
- new version

* Tue Oct 25 2022 tex - 4.38.0-1pclos2022
- new version

* Sat Oct 08 2022 tex - 4.37.4-1pclos2022
- new version

* Sat Apr 23 2022 TerryN <terryn94 at gmail.com> 4.27.1-2pclos2022
- rebuild for python 3.10

* Wed Nov 10 2021 tex - 4.27.1-1pclos2021
- new version

* Wed May 26 2021 tex - 4.24.4-1pclos2021
- new version

* Wed Dec 30 2020 tex -4.18.2-1pclos2020
- Version 4.18.2
